import 'package:unofficial_paypal_sdk/unofficial_paypal_sdk.dart';
import 'package:test/test.dart';
import 'package:power_plant/power_plant.dart';

void main() {
  const String appKey = "";
  const String appSecret = "";
  PayPal payPal = PayPal(
    clientID: appKey, 
    clientSecret: appSecret,
  );
  test("Get Access Token", ()async{
    PayPalAccessToken payPalAccessToken = await payPal.init();
    print(payPalAccessToken.access_token);
  });
  test("Get products list", ()async{
    PayPalProductsList productsList = await payPal.listProducts();
    print(productsList.products);
  });
  test("Create Product", ()async{
    String id = uniqueAlphanumeric(tokenLength: 30);
    PayPalProduct createdProduct = await payPal.createProduct(
      id: id,
      payPalRequestID: id,
      name: "Pay Pal Logo",
      description: "The logo of Pay Pal",
    );
    print("Created " + createdProduct.name);
  });
}
